/// <reference types="node" />
import { EventEmitter } from 'events';
import * as ivm from 'isolated-vm';
export declare class V8Environment extends EventEmitter {
    bootstrapped: boolean;
    constructor();
    readonly isReady: boolean;
    readonly source: string;
    readonly snapshot: ivm.ExternalCopy<ArrayBuffer> | undefined;
    readonly sourceMap: string;
    startUpdater(): void;
    updateV8Env(code?: string): void;
}
export declare let v8Env: V8Environment;
